org.apache.http.conn.scheme

## Interface LayeredSocketFactory

- All Superinterfaces:
    SocketFactory
  All Known Implementing Classes:
    SSLSocketFactory

  Deprecated.
  (4.1) use `SchemeSocketFactory`

      @Deprecated
      public interface LayeredSocketFactory
      extends SocketFactory

  A `SocketFactory` for layered sockets (SSL/TLS). See there for things to consider when implementing a socket factory.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket(Socket socket, String host, int port, boolean autoClose)` Deprecated. Returns a socket connected to the given host that is layered over an existing socket.

    - ### Methods inherited from interface org.apache.http.conn.scheme.SocketFactory

      `connectSocket, createSocket, isSecure`

- - ### Method Detail

    - #### createSocket

          Socket createSocket(Socket socket,
                            String host,
                            int port,
                            boolean autoClose)
                              throws IOException,
                                     UnknownHostException

      Deprecated.
      Returns a socket connected to the given host that is layered over an existing socket. Used primarily for creating secure sockets through proxies.
      Parameters:
        `socket` - the existing socket
        `host` - the host name/IP
        `port` - the port on the host
        `autoClose` - a flag for closing the underling socket when the created socket is closed
      Returns:
        Socket a new socket
      Throws:
        `IOException` - if an I/O error occurs while creating the socket
        `UnknownHostException` - if the IP address of the host cannot be determined

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.